org.apache.ignite.mxbean

## Interface ThreadPoolMXBean

- Deprecated.
  Check the `JmxMetricExporterSpi` with "name=threadPools.{thread_pool_name}" instead.

      @MXBeanDescription(value="MBean that provides access to information about executor service.")
       @Deprecated
      public interface ThreadPoolMXBean

  MBean that provides access to information about executor service.
  See Also:
    `ReadOnlyMetricManager`, `ReadOnlyMetricRegistry`, `JmxMetricExporterSpi`, `MetricExporterSpi`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getActiveCount()` Deprecated. Returns the approximate number of threads that are actively executing tasks.
    `long` | `getCompletedTaskCount()` Deprecated. Returns the approximate total number of tasks that have completed execution.
    `int` | `getCorePoolSize()` Deprecated. Returns the core number of threads.
    `long` | `getKeepAliveTime()` Deprecated. Returns the thread keep-alive time, which is the amount of time which threads in excess of the core pool size may remain idle before being terminated.
    `int` | `getLargestPoolSize()` Deprecated. Returns the largest number of threads that have ever simultaneously been in the pool.
    `int` | `getMaximumPoolSize()` Deprecated. Returns the maximum allowed number of threads.
    `int` | `getPoolSize()` Deprecated. Returns the current number of threads in the pool.
    `int` | `getQueueSize()` Deprecated. Gets current size of the execution queue.
    `String` | `getRejectedExecutionHandlerClass()` Deprecated. The class name of the handler for tasks that cannot be executed.
    `long` | `getTaskCount()` Deprecated. Returns the approximate total number of tasks that have been scheduled for execution.
    `String` | `getThreadFactoryClass()` Deprecated. Returns the class name of thread factory used to create new threads.
    `boolean` | `isShutdown()` Deprecated. Returns `true` if this executor has been shut down.
    `boolean` | `isTerminated()` Deprecated. Returns `true` if all tasks have completed following shut down.
    `boolean` | `isTerminating()` Deprecated. Returns `true` if this executor is in the process of terminating after `shutdown()` or `shutdownNow()` but has not completely terminated.

- - ### Method Detail

    - #### getActiveCount

          @MXBeanDescription(value="Approximate number of threads that are actively executing tasks.")
          int getActiveCount()

      Deprecated.
      Returns the approximate number of threads that are actively executing tasks.
      Returns:
        The number of threads.

    - #### getCompletedTaskCount

          @MXBeanDescription(value="Approximate total number of tasks that have completed execution.")
          long getCompletedTaskCount()

      Deprecated.
      Returns the approximate total number of tasks that have completed execution. Because the states of tasks and threads may change dynamically during computation, the returned value is only an approximation, but one that does not ever decrease across successive calls.
      Returns:
        The number of tasks.

    - #### getCorePoolSize

          @MXBeanDescription(value="The core number of threads.")
          int getCorePoolSize()

      Deprecated.
      Returns the core number of threads.
      Returns:
        The core number of threads.

    - #### getLargestPoolSize

          @MXBeanDescription(value="Largest number of threads that have ever simultaneously been in the pool.")
          int getLargestPoolSize()

      Deprecated.
      Returns the largest number of threads that have ever simultaneously been in the pool.
      Returns:
        The number of threads.

    - #### getMaximumPoolSize

          @MXBeanDescription(value="The maximum allowed number of threads.")
          int getMaximumPoolSize()

      Deprecated.
      Returns the maximum allowed number of threads.
      Returns:
        The maximum allowed number of threads.

    - #### getPoolSize

          @MXBeanDescription(value="Current number of threads in the pool.")
          int getPoolSize()

      Deprecated.
      Returns the current number of threads in the pool.
      Returns:
        The number of threads.

    - #### getTaskCount

          @MXBeanDescription(value="Approximate total number of tasks that have been scheduled for execution.")
          long getTaskCount()

      Deprecated.
      Returns the approximate total number of tasks that have been scheduled for execution. Because the states of tasks and threads may change dynamically during computation, the returned value is only an approximation, but one that does not ever decrease across successive calls.
      Returns:
        The number of tasks.

    - #### getQueueSize

          @MXBeanDescription(value="Current size of the execution queue.")
          int getQueueSize()

      Deprecated.
      Gets current size of the execution queue. This queue buffers local executions when there are not threads available for processing in the pool.
      Returns:
        Current size of the execution queue.

    - #### getKeepAliveTime

          @MXBeanDescription(value="Thread keep-alive time, which is the amount of time which threads in excess of the core pool size may remain idle before being terminated.")
          long getKeepAliveTime()

      Deprecated.
      Returns the thread keep-alive time, which is the amount of time which threads in excess of the core pool size may remain idle before being terminated.
      Returns:
        Keep alive time.

    - #### isShutdown

          @MXBeanDescription(value="True if this executor has been shut down.")
          boolean isShutdown()

      Deprecated.
      Returns `true` if this executor has been shut down.
      Returns:
        `True` if this executor has been shut down.

    - #### isTerminated

          @MXBeanDescription(value="True if all tasks have completed following shut down.")
          boolean isTerminated()

      Deprecated.
      Returns `true` if all tasks have completed following shut down. Note that `isTerminated()` is never `true` unless either `shutdown()` or `shutdownNow()` was called first.
      Returns:
        `True` if all tasks have completed following shut down.

    - #### isTerminating

          @MXBeanDescription(value="True if terminating but not yet terminated.")
          boolean isTerminating()

      Deprecated.
      Returns `true` if this executor is in the process of terminating after `shutdown()` or `shutdownNow()` but has not completely terminated. This method may be useful for debugging. A return of `true` reported a sufficient period after shutdown may indicate that submitted tasks have ignored or suppressed interruption, causing this executor not to properly terminate.
      Returns:
        `True` if terminating but not yet terminated.

    - #### getRejectedExecutionHandlerClass

          @MXBeanDescription(value="Returns the class name of the handler for tasks that cannot be executed by the thread pool.")
          String getRejectedExecutionHandlerClass()

      Deprecated.
      The class name of the handler for tasks that cannot be executed. This may occur when no more threads or queue slots are available because their bounds would be exceeded, or upon shutdown of the Executor.
      Returns:
        Class name of the handler for tasks that cannot be executed by the thread pool.

    - #### getThreadFactoryClass

          @MXBeanDescription(value="Class name of thread factory used to create new threads.")
          String getThreadFactoryClass()

      Deprecated.
      Returns the class name of thread factory used to create new threads.
      Returns:
        Class name of thread factory used to create new threads.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022